## org.eclipse.m2m.atl.profiler.ui.executionviewer.view
Class CallsViewContentProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
          org.eclipse.m2m.atl.profiler.ui.executionviewer.view.CallsViewContentProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.views.properties.IPropertySourceProvider

    public class CallsViewContentProvider

extends org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

A content provider for the calls view.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider.ViewerRefresh`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`adapterFactory, viewer, viewerRefresh`

Constructor Summary
`CallsViewContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` Creates the provider.

Method Summary
`java.lang.Object[]` `getChildren(java.lang.Object parent)`
`java.lang.Object[]` `getElements(java.lang.Object parent)`
`java.util.Map<java.lang.String,ProfilingOperation>` `getOperationsFromOccurences(java.lang.Object parent)` Returns the map of operations by occurences.
`java.lang.Object` `getParent(java.lang.Object child)`
`boolean` `hasChildren(java.lang.Object parent)`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`createPropertySource, dispose, getAdapterFactory, getPropertySource, inputChanged, notifyChanged, setAdapterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallsViewContentProvider

    public CallsViewContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  Creates the provider.

  Parameters:
    `adapterFactory` - the adapter factory

Method Detail

### getElements

    public java.lang.Object[] getElements(java.lang.Object parent)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  Overrides:
    `getElements` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`
  See Also:
    `AdapterFactoryContentProvider.getElements(java.lang.Object)`

### getOperationsFromOccurences

    public java.util.Map<java.lang.String,ProfilingOperation> getOperationsFromOccurences(java.lang.Object parent)

  Returns the map of operations by occurences.

  Parameters:
    `parent` - the parent object
  Returns:
    the map of operations by occurences

### getParent

    public java.lang.Object getParent(java.lang.Object child)

  Specified by:
    `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  Overrides:
    `getParent` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`
  See Also:
    `AdapterFactoryContentProvider.getParent(java.lang.Object)`

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parent)

  Specified by:
    `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  Overrides:
    `getChildren` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`
  See Also:
    `AdapterFactoryContentProvider.getChildren(java.lang.Object)`

### hasChildren

    public boolean hasChildren(java.lang.Object parent)

  Specified by:
    `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  Overrides:
    `hasChildren` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`
  See Also:
    `AdapterFactoryContentProvider.hasChildren(java.lang.Object)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.